function systemSSCE = systemSSCE(x)

global taul taue taus beta de ds u up v vp z lambda ps gy

cs = x(1);
cu = x(2);
Cs = cs*ps;
Cu = cu*(1-ps);
ls = x(3);
lu = x(4);
Ls = z(2)*ls*ps;
Lu = z(1)*lu*(1-ps);
as = x(5);
au = x(6);
As = as*ps;
Au = au*(1-ps);
Ke = x(7);
Ks = x(8);

%y = [x(8), x(7), x(4), x(3)]; 
y = [Ks, Ke, Lu, Ls]; 
MP = ycompprime(y);
Y = ycomp([Ks, Ke, Lu, Ls]);
G = gy*Y;
%MP(1) - ds
%MP(2) - de
%r = MP(1) %consistency checks
w = [MP(3), MP(4)];

%total transfers, the first one ios wrong!!!
%T = MP(4)*z(2)*Ls*taul + MP(3)*z(1)*Lu*taul + (MP(1) - ds)*(Ke+Ks)*taus;
T = MP(4)*Ls*taul + MP(3)*Lu*taul + (MP(1) - ds)*Ks*taus +  (MP(2) - de)*Ke*taue - G;

eq = ones(1,8);
eq(1) = beta*(1+(MP(1) - ds)*(1-taus)) -1 ;
eq(2) = (MP(1) - ds)*(1-taus) - (MP(2) - de)*(1-taue);
eq(3) = vp(ls) - MP(4)*z(2)*up(cs)*(1-taul);
eq(4) = vp(lu) - MP(3)*z(1)*up(cu)*(1-taul);
eq(5) = MP(4)*z(2)*ls*(1-taul) + T + (MP(1) - ds)*(1-taus)*as - cs;
eq(6) = MP(3)*z(1)*lu*(1-taul) + T + (MP(1) - ds)*(1-taus)*au - cu;
eq(7) = As + Au - Ke - Ks;
eq(8) = lambda*(As+Au) - As;

systemSSCE = eq;



