function der = ycompdprime(x)
%vector of derivatives of lu*z_u*F_3/(F_4*z_s) wrt Ke, lu, ls,
%non-aggregate lu and ls

global  zu zs pu ps T w ke1 ks1 y r beta alpha eta omega rho nu u up v vp de ds k3

ke = x(:,1);
lu = x(:,2);
ls = x(:,3);
Ls = zs*ls*ps;
Lu = zu*lu*pu;


%define brackets and parentheses
brack = (omega*ke.^rho + (1-omega)*Ls.^rho);
parent = ( (1-nu)*Lu.^eta + nu*brack.^(eta/rho) );
%F3F4 = ((nu*eta/rho*brack.^(eta/rho-1)*(1-omega)*rho.*Ls.^(rho-1))./((1-nu)*eta*Lu.^(eta-1))).^(-1);
F3F4 =(1-nu)/((1-omega)*nu)*(Lu.^(eta-1))./(brack.^(eta/rho-1).*Ls.^(rho-1));%these are the same

ratio = F3F4.*lu*zu/zs;
der(:,1) = ratio*(1-eta/rho)./brack*omega*rho.*ke.^(rho-1);
%wrt lu 
%der(:,2) = ratio.*(1+(eta-1).*lu*pu*zu./Lu )./lu
der(:,2) = eta*ratio./lu;
%wrt ls
%der(:,3) = lu*zu/zs.*(nu*(1-omega)./((1-nu)*Lu.^(eta-1))).^(-1).*((1-eta/rho).*brack.^(-eta/rho)*(1-omega)*rho + brack.^(1-eta/rho)*(1-rho).*Ls.^(-rho)).*ps*zs;
%der(:,3) = lu*zu/zs.*((1-nu)*Lu.^(eta-1))./((nu*(1-omega))).*((1-eta/rho).*brack.^(-eta/rho)*(1-omega)*rho + brack.^(1-eta/rho)*(1-rho).*Ls.^(-rho)).*ps*zs;
der(:,3) = lu*zu/zs.*((1-nu)*Lu.^(eta-1))./((nu*(1-omega))).*brack.^(-eta/rho).*((1-eta/rho)*(1-omega)*rho + brack.*(1-rho).*Ls.^(-rho)).*ps*zs;
